Package org.zkoss.zuti.zul

## Class ForEachRenderer

- java.lang.Object
- - org.zkoss.zuti.zul.ForEachRenderer

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ForEachRenderer
      extends java.lang.Object
      implements java.io.Serializable

  Render data in ForEach items
  Author:
    jameschu
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForEachRenderer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VariableResolver` | `initVariableResolver​(ForEach forEachComp, org.zkoss.zuti.zul.ForEachRenderer.ForEachIterator<java.lang.Object> it)` |
    `void` | `render​(ForEach forEachComp, Component host, Template tm, int begin, int end, int step, java.util.List<?> list, boolean isUsingListModel)` |
    `void` | `render​(ForEach forEachComp, Component host, Template tm, java.util.List<?> list, boolean isUsingListModel)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachRenderer

          public ForEachRenderer()

  - ### Method Detail

    - #### render

          public void render​(ForEach forEachComp,
                             Component host,
                             Template tm,
                             java.util.List<?> list,
                             boolean isUsingListModel)

    - #### render

          public void render​(ForEach forEachComp,
                             Component host,
                             Template tm,
                             int begin,
                             int end,
                             int step,
                             java.util.List<?> list,
                             boolean isUsingListModel)

    - #### initVariableResolver

          public VariableResolver initVariableResolver​(ForEach forEachComp,
                                                       org.zkoss.zuti.zul.ForEachRenderer.ForEachIterator<java.lang.Object> it)